# Cheatsheet

My chosen modification key is ++win++/++super++.
Many functions have multiple shortcuts because every day is different.

I might have forgotten something but [`config.h`](https://git.jakest.us/suckless/dwm/src/branch/jakefication/config.h)
is pretty human-readable.

## Standard keys

| Key combination(s)                                        | Action                            |
| --------------------------------------------------------- | --------------------------------- |
| ++win+d++<br>++win+space++<br>++alt+space++<br>++win+p++  | Drun                              |
| ++ctrl+alt+t++<br>++win+shift+enter++			    | Terminal                          |
| ++alt+f4++<br>++win+q++                                   | Close window                      |
| ++win+up++<br>++win+down++                                 | Focuse next/previous window       |
| ++win+enter++                                             | Swap window from/to master        |
| ++win+left++<br>++win+right++                              | Increase/Decrease master capacity |
| ++win+shift+left++<br>++win+shift+right++                  | Resize master/stack               |
| ++win+shift+q++                                           | Quit DWM                          |

## Workspaces and monitors

| Key combination      | Action                            |
| -------------------- | --------------------------------- |
| `Win`+ `1-9`         | Focus workspace                   |
| `Win`+ `Shift`+`1-9` | Move window to workspace          |
| `Win`+`,/.`          | Focus left/right monitor          |
| `Win`+`Shift`+`,/.`  | Move window to left/right monitor |
| `Win`+`0`            | Show all workspaces               |
| `Win`+`Shift`+`0`    | Show window in all workspaces     |

## Media controls

In addition to supporting standard volume and mediacontrols
following shortcuts have been configured. You know,
not every keyboard has these keys and it sucks!

| Hotkey      | Action     |
| ----------- | ---------- |
| ++win+f5++  | Previous   |
| ++win+f6++  | Next       |
| ++win+f7++  | Play/Pause |
| ++win+f8++  | Stop       |
| ++win+f9++  | Mute       |
| ++win+f10++ | Vol Down   |
| ++win+f11++ | Vol Up     |

## Floaty stuff

| Shortcut                                    | Action                 |
| ------------------------------------------- | ---------------------- |
| ++win+shift+space++<br>++win++ + `Mouse3`   | Toggle window floating |
| ++win++ + `Mouse1 Drag`                     | Move window            |
| ++win++ + `Mouse2 Drag`                     | Resize window          |
