# Dependencies

Dmenu, slstatus, st and dwm itself are recommended to build yourself from sources. Other packages are installable from Debian-repositories (or whatever distro you are running, you probably know how to get them.)

## Building

- xorg-dev

## Standard functionality

- [dmenu](https://git.jakest.us/suckless/dmenu)
- [slstatus](https://git.jakest.us/suckless/slstatus)
- [st](https://git.jakest.us/suckless/st)
- [slock](https://git.jakest.us/suckless/slock)
- pactl (to control pulseaudio/pipewire, comes with pulseaudio-utils or pipewire-uitils or something, I don't know, just try to find out yourself if volumecontrol is not working)
- playerctl (to control media playback)
- dunst (to show notifications)
- nm-applet (network-manager-gnome)

## Screenshots

- imagemagick
- scrot
- xclip
- xdg-user-dirs
- create a directory `mkdir -p $(xdg-user-dir PICTURES)/scrot/`
	- This will be automated at some point. Sorry in the meantime

## What I am supposed to do again?

Here, have a nice command to get dependencies (not dmenu/slstatus/st/dwm) from repositories on Debian: `sudo apt install xorg-dev playerctl imagemagick scrot xclip xdg-user-dirs dunst pulseaudio-utils pasystray pavucontrol network-manager-gnome`

Then dmenu, st, slstatus and dwm itself you pull using git, checkout branch jakefication (if you want the customized versions, otherwice you should maybe use the suckless upstream at https://git.suckless.org/ ) and build using `sudo make clean install` all one-by-one voíla